declare module BA.Ui.Controls {
    /**
     * Class used for all actions performed by Dialogs for DataIntegrationWidget
     * */
    class IntegrationWidgetColumnConfigDialogEvents {
        /**
         * name of configuration Field
         * */
        private static FieldName;
        private static ColumnCaptionFieldName;
        private static ColumnNameFieldName;
        private static ShowInViewFieldName;
        private static ShowInDialogFieldName;
        private static FormatStringFieldName;
        private static HorizontalAlignFieldName;
        private static ColumnWidthFieldName;
        private static GroupedFieldName;
        private static SortOrderFieldName;
        private static ShowMinFieldName;
        private static ShowMaxFieldName;
        private static ShowCountFieldName;
        private static ShowSumFieldName;
        private static ShowAvgFieldName;
        private static FocusControlName;
        static OpenColumnConfigDialog(s: BAClientButtonProperty): void;
        /**
         * Function to be called when the dialog is either initialized or refreshed
         * */
        static InitDialog(sender: BAClientPopupControl): void;
        private static GetControl;
        /**
         * Set field values to previous values
         * */
        private static SetFieldValues;
        /**
        * add single style rule to dialog
        * */
        static OnColumnAddClick(s: any): void;
        /**
         * remove single style rule from dialog
         * */
        static OnColumnRemoveClick(s: any): void;
    }
}
